#!/bin/ash
# visionner-avec-less4_pekwm.sh
# (c) musher0, 4 juillet 2015, rév. 13 février 2018.
#### set -xe
[ `which joe` ] && export EDITOR=/opt/local/bin/joel.sh || export EDITOR=/usr/local/bin/defaulttexteditor
# Also known to work with less:
# export EDITOR=/usr/bin/geany # export EDITOR=/usr/bin/teagtk
# export LESSEDIT=%E %f # LESSEDIT fonctionne comme-ci comme-ça.
# But leafpad doesn't load any text sent by less.

# parms urxvt
if [ -f /tmp/nlign ];then
	NLIGN="`cat /tmp/nlign`"
	NLIGN="` expr $NLIGN + 2`"
else
	NLIGN="20"
fi

G="g 80x$NLIGN-90+90"
COLR="rv -bg "#2F4A3A" -fg white -bd white -cr white +tr"
# -bd "#A1B9D1"
FNT="fn xft:Monaco:pixelsize=13:antialias=true:autohint=true "
AUTRES="b 12 +sb +st +tcw -sbt 14 -bc"
[ -f /tmp/TITR ] && TITR="`cat /tmp/TITR`" || TITR="`basename $1`"

# parms less
PARMLESS="C -b 2 -J -w -s -x 3 -z 72"
AIDE="'q' -> quitter"
# ; 'v' -> éditer;
HELP=" 'q' -> quit"
# ; 'v' -> edit"
[ ${LANG:0:2} = "fr" ] && INFO="$AIDE" || INFO="$HELP"

rxvt -$FNT -$AUTRES -T "$TITR" -$COLR -$G &>/dev/null -e less -$PARMLESS -P "     $INFO  " -~ "$1"
# set +xe
